A ChatGPT based emulator of Doctor Kernel &mdash; JJ's therapist from the book
"[A digital Affair](book/)" by Neora Shem Shaul (or rather, a partial translation of it to English, because [at least currently] ChatGPT's Hebrew is not good enough.

#### As seen at the book's [30th anniversary party](https://even.tooot.im/events/47ecce4d-b093-41ae-a1ad-687979d91a66).

It is run as a console app, and emulates slow typing like a chat over a modem in 1993.
For best results, run on a green on black terminal, with a large and archaic monospace font (see screenshot below for inspiration).

#### See also: [Sample session archive](https://nandn.org.il/doctorkernel).

#### Setup

 * run `./install.sh`
 * copy `example.env` to `.env` and edit it according to the instructions inside.

#### Usage

`./run.sh` is an infinite loop of sessions with the doctor.
Whenever you finish a non-empty session, the log is saved and
the `index.html` of the `logs/` folder gets regenerated (see below).

#### Serving session logs via web

`./logserver.sh` would serve session log files on port 8000 ([example](https://nandn.org.il/doctorkernel)). Thanks to [bootstra.386](https://www.bootstra386.com/) for their Norton-Commanderish GUI lib.


#### Resources

`book/` contains the partial English translation of the book, and the entire original Hebrew book.

#### Screenshot

![Screenshot](screenshot.png)
